List an Organization's Tags

GET /api/0/organizations/{organization_id_or_slug}/tags/

Return a list of tag keys for the given organization.

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

Query Parameters:

project (array(integer))

The IDs of projects to filter by. -1 means all available projects. For example, the following are valid parameters:

  • /?project=1234&project=56789
  • /?project=-1
environment (array(string))

The name of environments to filter by.

statsPeriod (string)

The period of time for the query, will override the start & end parameters, a number followed by one of:

  • d for days
  • h for hours
  • m for minutes
  • s for seconds
  • w for weeks

For example, 24h, to mean query data starting from 24 hours ago to now.

start (string)

The start of the period of time for the query, expected in ISO-8601 format. For example, 2001-12-14T12:34:56.7890.

end (string)

The end of the period of time for the query, expected in ISO-8601 format. For example, 2001-12-14T12:34:56.7890.

dataset (string)
choices:
  • discover
  • events
  • replays
  • search_issues

The dataset to query. Defaults to discover.

use_cache (string)
choices:
  • 0
  • 1

Set to "1" to enable caching for the tag key query.

useFlagsBackend (string)
choices:
  • 0
  • 1

Set to "1" to query feature flags instead of tags.

Scopes

<auth_token> requires one of the following scopes:
  • org:admin
  • org:read
  • org:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/tags/ \
 -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied
[ { "key": "browser", "name": "Browser", "totalValues": 350 }, { "key": "browser.name", "name": "Browser Name", "totalValues": 350 }, { "key": "environment", "name": "Environment", "totalValues": 500 }, { "key": "level", "name": "Level", "totalValues": 500 }, { "key": "os", "name": "OS", "totalValues": 420 }, { "key": "release", "name": "Release", "totalValues": 100 } ]
Was this helpful?